summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--network/dynamips/README6
-rw-r--r--network/dynamips/dynamips.SlackBuild63
-rw-r--r--network/dynamips/dynamips.info8
-rw-r--r--network/dynamips/slack-desc19
4 files changed, 96 insertions, 0 deletions
diff --git a/network/dynamips/README b/network/dynamips/README
new file mode 100644
index 0000000000..ba8d96932e
--- /dev/null
+++ b/network/dynamips/README
@@ -0,0 +1,6 @@
+dynamips is intended as as a training platform, with software used in the
+real world. It would allow people to become more familiar with Cisco devices.
+* Test and experiment the numerous and powerful features of Cisco IOS
+* Check quickly configurations to be deployed later on real routers.
+
+This requires libelf.
diff --git a/network/dynamips/dynamips.SlackBuild b/network/dynamips/dynamips.SlackBuild
new file mode 100644
index 0000000000..36134e67f1
--- /dev/null
+++ b/network/dynamips/dynamips.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# Slackware build script for dynamips
+
+# Copyright 2008 Alam Guntur Nugroho (alamgn@mail.ugm.ac.id)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=dynamips
+VERSION=${VERSION:-0.2.8rc2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-0.2.8-RC2.tar.gz
+cd $PRGNAM-0.2.8-RC2
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+make
+make DESTDIR=$PKG/usr install
+
+strip --strip-unneeded $PKG/usr/bin/*
+rmdir $PKG/usr/etc
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog COPYING README* TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/dynamips/dynamips.info b/network/dynamips/dynamips.info
new file mode 100644
index 0000000000..616cc61d98
--- /dev/null
+++ b/network/dynamips/dynamips.info
@@ -0,0 +1,8 @@
+PRGNAM="dynamips"
+VERSION="0.2.8rc2"
+HOMEPAGE="http://www.ipflow.utc.fr/index.php/Cisco_7200_Simulator"
+DOWNLOAD="http://downloads.sourceforge.net/gns-3/dynamips-0.2.8-RC2.tar.gz?download"
+MD5SUM="8d12d28684d164fe3312a3fe43c84d2e"
+MAINTAINER="Alam Guntur Nugroho"
+EMAIL="alamgn@mail.ugm.ac.id"
+APPROVED="rworkman"
diff --git a/network/dynamips/slack-desc b/network/dynamips/slack-desc
new file mode 100644
index 0000000000..40cca14677
--- /dev/null
+++ b/network/dynamips/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also customary
+# to leave one space after the ':'.
+
+ |----handy-ruler--------------------------------------------------------|
+dynamips: Dynamips (Cisco router emulator)
+dynamips:
+dynamips: Cisco 7200/3600 Simulator - emulates MIPS64 processor and CISCO
+dynamips: hardware. The goals of this emulator are mainly:
+dynamips: * To be used as a training platform, with software used in real world
+dynamips: It would allow people to become more familiar with Cisco devices,
+dynamips: Cisco being the world leader in networking technologies ;
+dynamips: * Test and experiment the numerous and powerful features of Cisco IOS
+dynamips: * Check quickly configurations to be deployed later on real routers.
+dynamips:
+dynamips: Home: http://www.ipflow.utc.fr/index.php/Cisco_7200_Simulator